# $Revision: 1.3.2.2 $, $Date: 2006/05/04 17:53:37 $

%define 	module	pypar

Summary:	pypar - Parallel Programming in the spirit of Python!
Name:		python-%{module}
Version:	1.9.2
%define		_vername %(echo %{version}|tr . _)
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://datamining.anu.edu.au/~ole/pypar/%{module}_%{_vername}.tgz
# Source0-md5:	a21bf293f64ae4531ebcdb7be74b5415
URL:		http://datamining.anu.edu.au/~ole/pypar/
BuildRequires:	mpi
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
BuildRequires:	python-numarray-devel
BuildRequires:	python-numpy-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pypar is an efficient but easy-to-use module that allows programs/scripts
written in the Python programming language to run in parallel on multiple
processors and communicate using message passing. Pypar provides bindings to an
important subset of the message passing interface standard MPI.

%package examples
Summary:	Example programs for Python pypar module
Summary(pl):	Programy przykadowe do moduu Pythona pypar
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pypar module.

%description examples -l pl
Pakiet zawierajcy programy przykadowe dla moduu Pythona pypar.

%prep
%setup -q -n %{module}_%{_vername}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOC FAQ README
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pypar.spec,v $
Revision 1.3.2.2  2006/05/04 17:53:37  baggins
- release 3
- fixed BR

Revision 1.3.2.1  2006/05/04 17:26:03  baggins
- rel 2
- BR mpi

Revision 1.3  2006/05/04 17:02:53  baggins
- release 1
- works

Revision 1.2  2006/05/04 14:09:07  baggins
- not noarch
- added BRs
- fixed install
- builds

Revision 1.1  2006/05/04 13:55:42  baggins
- initial revision

